> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dify.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 获取文档大纲

> 返回为文档文件当前版本构建的标题树。

大纲要等索引构建出来才会存在；如果文件在这一步之前就索引失败，则不会有大纲。重新索引后，要等新的索引任务发布，此操作才会返回该任务构建的大纲。

响应不分页。



## OpenAPI

````yaml /zh/api-reference/openapi_service.json get /knowledge-fs/spaces/{knowledge_base_id}/documents/{document_file_id}/outline
openapi: 3.0.1
info:
  description: 用于 Dify 应用与知识库的 REST API。应用类接口使用应用 API 密钥认证，知识库类接口使用知识库 API 密钥认证。
  title: Dify 服务 API
  version: 1.0.0
servers:
  - description: Dify 服务 API 的基础 URL。自部署时，替换为你的 API 基础 URL。
    url: https://{api_base_url}
    variables:
      api_base_url:
        default: api.dify.ai/v1
        description: API 基础 URL 的主机与路径，不含 `https://` 前缀。
security:
  - ApiKeyAuth: []
tags:
  - description: 与聊天消息和交互相关的操作。
    name: 对话消息
  - description: 文件上传和预览操作。
    name: 文件操作
  - description: 终端用户信息相关操作。
    name: 终端用户
  - description: 用户反馈操作。
    name: 消息反馈
  - description: 与管理会话相关的操作。
    name: 会话管理
  - description: 文字转语音和语音转文字操作。
    name: 语音与文字转换
  - description: 获取应用设置和信息的操作。
    name: 应用配置
  - description: 与管理标注直接回复相关的操作。
    name: 标注管理
  - description: 暂停等待人工输入的工作流恢复操作。
    name: 人工介入
  - description: 用于执行和管理工作流的操作。
    name: 工作流运行
  - description: 文本生成相关操作。
    name: 文本生成消息
  - description: 用于管理知识库的操作，包括创建、配置和检索。
    name: 知识库
  - description: 用于在知识库中创建、更新和管理文档的操作。
    name: 文档
  - description: 用于管理分段和子分段的操作。
    name: 分段
  - description: 用于管理知识库元数据字段和文档元数据值的操作。
    name: 元数据
  - description: 用于管理知识库标签和标签绑定的操作。
    name: 标签
  - description: 用于获取可用模型的操作。
    name: 模型
  - description: 用于管理和运行知识流水线的操作，包括数据源插件和流水线执行。
    name: 知识流水线
  - description: 向知识库提问，并流式返回回答。
    name: 查询
  - description: 查看一次查询检索到了什么，以及原因。
    name: 查询记录
  - description: 在后台运行研究问题，并获取其结果。
    name: 研究任务
  - description: 读取知识库中的文档及其文件、修订版本和分段，并用元数据标注文档。
    name: 文档与分段
  - description: 跟踪、取消或重试索引，并列出知识库的后台任务。
    name: 索引任务
  - description: 跟踪文档文件、一批文件或数据源的删除，直到完成。
    name: 删除作业
  - description: 管理为知识库提供内容的数据源，以及它们的定时同步设置和连接。
    name: 数据源
  - description: 立即同步数据源，导入网站页面或提供商条目，并跟踪、取消或重试运行。
    name: 数据源同步与导入
  - description: 读取和更改知识库的模型与检索设置，并跟踪更改触发的迁移。
    name: 设置
paths:
  /knowledge-fs/spaces/{knowledge_base_id}/documents/{document_file_id}/outline:
    get:
      tags:
        - Documents and Chunks
      summary: 获取文档大纲
      description: |-
        返回为文档文件当前版本构建的标题树。

        大纲要等索引构建出来才会存在；如果文件在这一步之前就索引失败，则不会有大纲。重新索引后，要等新的索引任务发布，此操作才会返回该任务构建的大纲。

        响应不分页。
      operationId: getDocumentOutline
      parameters:
        - description: >-
            知识库 ID：即知识库 **API 访问** 对话框中所示服务 API
            端点的最后一段（`…/knowledge-fs/spaces/<knowledge base ID>`），也是地址栏中
            `/datasets/new/` 之后的那一段。
          in: path
          name: knowledge_base_id
          required: true
          schema:
            format: uuid
            type: string
        - description: >-
            文档文件 ID。从
            [获取文档文件列表](/zh/api-reference/documents-and-chunks/list-document-files)
            获取。
          in: path
          name: document_file_id
          required: true
          schema:
            format: uuid
            type: string
      responses:
        '200':
          content:
            application/json:
              examples:
                success:
                  summary: 响应示例
                  value:
                    artifact_hash: >-
                      3a7bd3e2360a3d29eea436fcfb7e44c735d117c42d1c1835420b6b9942dd4f1b
                    created_at: '2026-09-03T10:04:00Z'
                    document_asset_id: 6ec0bd7f-11c0-43da-975e-2a8ad9ebae0b
                    id: c9d8e7f6-a5b4-4c3d-8e2f-1a0b9c8d7e6f
                    knowledge_space_id: 9b2e5b7a-3c1d-4e2f-8a9b-1c2d3e4f5a6b
                    metadata: {}
                    nodes:
                      - child_node_ids:
                          - n-1-1
                        children:
                          - child_node_ids: []
                            children: []
                            end_offset: 4210
                            end_page: 3
                            id: n-1-1
                            level: 2
                            metadata: {}
                            section_path:
                              - 1 Introduction
                              - 1.1 Scope
                            source_element_ids:
                              - el-12
                            source_node_ids: []
                            start_offset: 2100
                            start_page: 2
                            summary: null
                            title: 1.1 Scope
                            title_location: null
                            toc_source: parser-heading
                        end_offset: 9800
                        end_page: 6
                        id: n-1
                        level: 1
                        metadata: {}
                        section_path:
                          - 1 Introduction
                        source_element_ids:
                          - el-3
                        source_node_ids: []
                        start_offset: 0
                        start_page: 1
                        summary: null
                        title: 1 Introduction
                        title_location: null
                        toc_source: parser-heading
                    outline_version: document-outline-v1
                    parse_artifact_id: d1e2f3a4-b5c6-4d7e-8f90-a1b2c3d4e5f6
                    updated_at: null
                    version: 1
              schema:
                properties:
                  artifact_hash:
                    description: 内部字段，读取大纲时无需使用。
                    type: string
                  created_at:
                    description: 大纲的构建时间，ISO 8601 格式。
                    type: string
                  document_asset_id:
                    description: 该大纲所属文档文件的 ID。
                    type: string
                  id:
                    description: 大纲 ID。
                    type: string
                  knowledge_space_id:
                    description: 知识库的内部 ID，并非路径中的知识库 ID。
                    type: string
                  metadata:
                    additionalProperties: true
                    description: 大纲的附加信息，为自由格式的对象。
                    type: object
                  nodes:
                    description: 顶级标题，按文档顺序排列。嵌套的子标题位于各标题的 `children` 中。
                    items:
                      $ref: '#/components/schemas/KnowledgeBaseOutlineHeading'
                    type: array
                  outline_version:
                    description: 内部字段，读取大纲时无需使用。
                    type: string
                  parse_artifact_id:
                    description: 内部字段，读取大纲时无需使用。
                    type: string
                  updated_at:
                    description: 大纲最后变更时间，ISO 8601 格式。构建后未发生变更时为 `null`。
                    nullable: true
                    type: string
                  version:
                    description: >-
                      大纲所属的文档文件 `version`。重新索引重建大纲时，该值不会改变，因为文档文件的 `version`
                      永远不变。
                    type: integer
                type: object
          description: 大纲。
        '400':
          content:
            application/json:
              examples:
                knowledge_fs_invalid_request:
                  summary: knowledge_fs_invalid_request
                  value:
                    code: knowledge_fs_invalid_request
                    failure:
                      category: validation
                      code: KNOWLEDGE_FS_INVALID_REQUEST
                      message: The Agent Knowledge Base request is invalid.
                      retryPolicy: never
                      traceId: 7f3c1a90-2e64-4b7d-8a51-6c0d9e2f4b83
                    message: The Agent Knowledge Base request is invalid.
                    status: 400
                knowledge_fs_invalid_request_path:
                  summary: knowledge_fs_invalid_request (path ID)
                  value:
                    code: knowledge_fs_invalid_request
                    message: Agent Knowledge Base request is invalid.
                    status: 400
          description: |-
            - `knowledge_fs_invalid_request`：`document_file_id` 不是 UUID。
            - `knowledge_fs_invalid_request`：`document_file_id` 格式不正确。
        '401':
          content:
            application/json:
              examples:
                knowledge_fs_invalid_credential:
                  summary: knowledge_fs_invalid_credential
                  value:
                    code: knowledge_fs_invalid_credential
                    message: Invalid Agent Knowledge Base service credential.
                    status: 401
                unauthorized:
                  summary: unauthorized
                  value:
                    code: unauthorized
                    message: Access token is invalid
                    status: 401
          description: >-
            - `unauthorized`：缺少 `Authorization` 请求头，或密钥无法识别、不是知识库 API 密钥。

            - `knowledge_fs_invalid_credential`：密钥有效，但其所属工作空间中没有此 ID
            的知识库，或该密钥未关联任何工作空间。
        '403':
          content:
            application/json:
              examples:
                forbidden:
                  summary: forbidden (rate limit)
                  value:
                    code: forbidden
                    message: >-
                      Sorry, you have reached the knowledge base request rate
                      limit of your subscription.
                    status: 403
                knowledge_fs_access_denied_scope:
                  summary: knowledge_fs_access_denied (key scope)
                  value:
                    code: knowledge_fs_access_denied
                    message: Agent Knowledge Base operation is not allowed.
                    status: 403
                knowledge_fs_access_denied_upstream:
                  summary: knowledge_fs_access_denied (rejected)
                  value:
                    code: knowledge_fs_access_denied
                    failure:
                      action: contact_admin
                      category: authorization
                      code: KNOWLEDGE_FS_ACCESS_DENIED
                      message: >-
                        You do not have permission to perform this Agent
                        Knowledge Base operation.
                      retryPolicy: never
                      traceId: 7f3c1a90-2e64-4b7d-8a51-6c0d9e2f4b83
                    message: >-
                      You do not have permission to perform this Agent Knowledge
                      Base operation.
                    status: 403
          description: >-
            - `knowledge_fs_access_denied`：该密钥的访问范围限定为其他知识库、此知识库已关闭 **API
            访问**，或知识库未处于活动状态。

            - `knowledge_fs_access_denied`：该密钥无权访问此知识库的内容。

            - `forbidden`：在 Dify Cloud
            上，工作空间已达到其订阅套餐的知识库请求频率限制。所有调用都计入，读取操作也不例外。
        '404':
          content:
            application/json:
              examples:
                knowledge_fs_resource_not_found:
                  summary: knowledge_fs_resource_not_found
                  value:
                    code: knowledge_fs_resource_not_found
                    failure:
                      category: not_found
                      code: KNOWLEDGE_FS_NOT_FOUND
                      message: >-
                        The requested Agent Knowledge Base resource was not
                        found.
                      retryPolicy: never
                      traceId: 7f3c1a90-2e64-4b7d-8a51-6c0d9e2f4b83
                    message: The requested Agent Knowledge Base resource was not found.
                    status: 404
                not_found:
                  summary: not_found (feature off)
                  value:
                    code: not_found
                    message: >-
                      The requested URL was not found on the server. If you
                      entered the URL manually please check your spelling and
                      try again.
                    status: 404
          description: >-
            - `knowledge_fs_resource_not_found`：不存在此 ID
            的文档文件，该密钥无权读取它，或尚未为其当前版本构建大纲。


            此 `404` 不会说明索引仍在进行还是已经失败。这要看修订版本的 `state`，可在
            [获取文档修订版本列表](/zh/api-reference/documents-and-chunks/list-document-revisions)
            中查看，该操作接收文档 ID。

            - `not_found`：当前部署已关闭 Agent 知识库功能。
        '502':
          content:
            application/json:
              examples:
                knowledge_fs_upstream_unavailable:
                  summary: knowledge_fs_upstream_unavailable (service error)
                  value:
                    code: knowledge_fs_upstream_unavailable
                    failure:
                      action: contact_admin
                      category: internal
                      code: KNOWLEDGE_FS_INTERNAL_ERROR
                      message: >-
                        Agent Knowledge Base could not complete the operation.
                        Try again, or contact an administrator with the error
                        reference.
                      retryPolicy: manual
                      traceId: 5e2a9c17-3b4d-4f60-8a1b-2c3d4e5f6a7b
                    message: >-
                      Agent Knowledge Base could not complete the operation. Try
                      again, or contact an administrator with the error
                      reference.
                    status: 502
                knowledge_fs_upstream_unavailable_transport:
                  summary: knowledge_fs_upstream_unavailable (no response)
                  value:
                    code: knowledge_fs_upstream_unavailable
                    message: Agent Knowledge Base is unavailable.
                    status: 502
          description: '- `knowledge_fs_upstream_unavailable`：未能及时收到响应，或无法读取响应。稍候重试。'
        '503':
          content:
            application/json:
              examples:
                knowledge_fs_operation_unavailable:
                  summary: knowledge_fs_operation_unavailable
                  value:
                    code: knowledge_fs_operation_unavailable
                    message: Agent Knowledge Base operation is not available.
                    status: 503
                knowledge_fs_operation_unavailable_upstream:
                  summary: knowledge_fs_operation_unavailable (temporary)
                  value:
                    code: knowledge_fs_operation_unavailable
                    failure:
                      action: retry
                      category: dependency
                      code: KNOWLEDGE_FS_UNAVAILABLE
                      message: >-
                        A service required by Agent Knowledge Base is
                        temporarily unavailable.
                      retryPolicy: manual
                      traceId: 5e2a9c17-3b4d-4f60-8a1b-2c3d4e5f6a7b
                    message: >-
                      A service required by Agent Knowledge Base is temporarily
                      unavailable.
                    status: 503
          description: >-
            - `knowledge_fs_operation_unavailable`：此工作空间尚未配置 Agent
            知识库功能、当前部署不提供此操作，或在请求鉴权期间该密钥对此知识库的访问权限发生了变化。

            - `knowledge_fs_operation_unavailable`：暂时无法处理该请求。按
            `failure.retryPolicy` 处理。
components:
  schemas:
    KnowledgeBaseOutlineHeading:
      description: 偏移量基于解析后的文档文本，而非原始文件中的位置。
      properties:
        child_node_ids:
          description: '`children` 中各标题的 ID。'
          items:
            type: string
          type: array
        children:
          description: 嵌套的下级标题，按文档顺序排列。
          items:
            $ref: '#/components/schemas/KnowledgeBaseOutlineHeading'
          type: array
        end_offset:
          description: 解析后文档文本中的 UTF-8 字节偏移量，从 0 开始计数，为结束位置（不包含）。未知时为 `null`。
          nullable: true
          type: integer
        end_page:
          description: 该章节的最后一页，页码从 `1` 开始。文件没有分页时为 `null`。
          nullable: true
          type: integer
        id:
          description: 标题 ID。
          type: string
        level:
          description: 标题层级，从 `1` 开始。
          type: integer
        metadata:
          additionalProperties: true
          description: 标题的其他详细信息，为自由格式的对象。
          type: object
        section_path:
          description: 从文档根到此标题的各级标题，包含此标题本身。
          items:
            type: string
          type: array
        source_element_ids:
          description: 识别出该标题所依据的解析元素 ID。
          items:
            type: string
          type: array
        source_node_ids:
          description: 内部字段，读取大纲时无需使用。
          items:
            type: string
          type: array
        start_offset:
          description: 解析后文档文本中的 UTF-8 字节偏移量，从 0 开始计数，为起始位置（包含）。未知时为 `null`。
          nullable: true
          type: integer
        start_page:
          description: 该章节的第一页，页码从 `1` 开始。文件没有分页时为 `null`。
          nullable: true
          type: integer
        summary:
          description: 为该章节生成的摘要。未生成摘要时为 `null`。
          nullable: true
          type: string
        title:
          description: 标题文本。
          type: string
        title_location:
          additionalProperties: true
          description: 标题在文件中的位置。未知时为 `null`。
          nullable: true
          type: object
        toc_source:
          description: 标题的识别方式：`native-toc`、`llm-inferred`、`parser-heading` 或 `fallback`。
          type: string
      type: object
  securitySchemes:
    ApiKeyAuth:
      bearerFormat: API_KEY
      description: >-
        每个请求都通过 API Key 认证：`Authorization: Bearer {API_KEY}`。应用接口使用应用 API
        Key，知识库接口使用知识库 API Key（[快速开始](/zh/api-reference/guides/get-started)）。


        API Key 应保存在服务端，切勿嵌入客户端代码。缺失或无效的 Key 会返回 HTTP `401`（`unauthorized`）。
      scheme: bearer
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.